Subject: [netlmm] I-D Action:draft-ietf-netlmm-pmip6-ipv4-support-09.txt

From: [email-masked]
Date: Tue, 20 Jan 2009 23:45:01 -0800 (PST)

_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Wed, 21 Jan 2009 14:36:50 -0500

I would like to see one more modification in the text you added. Replace
the following

      However, the mobile
      access gateway is not required to perform this check, if the DHCP
      server is co-located with the local mobility anchor, as that check
      will be performed by the local mobility anchor in such scenario.
      The mobile access gateway can determine the co-location of the
      DHCP server and the local mobility anchor by comparing the source
      address of the DHCPOFFER message with the address of the mobile
      node's local mobility anchor.

with

      However, the mobile
      access gateway is neither required to perform this check, nor 
      intercept the DCHPREQUEST message from the mobile node, if the
DHCP 
      server is co-located with the local mobility anchor, as that check

      will be performed by the local mobility anchor in such scenario.
      The DHCPREQUEST message from the mobile node to the LMA is treated
      as regular traffic from the mobile node. The mobile access gateway

      can determine the co-location of the DHCP server and the local 
      mobility anchor by comparing the source address of the DHCPOFFER 
      message with the address of the mobile node's local mobility
anchor. 

The current text still seems to say that the MAG is required to
intercept the DHCPREQUEST message, but can skip the check. We need to
clarify that the MAG does not have to intercept the DHCPREQUEST message.

But this change can wait for the next revision of the draft. No need to
make this change before the document is sent to the IESG.

Vijay

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: Tuesday, January 20, 2009 11:45 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [netlmm] I-D 
> Action:draft-ietf-netlmm-pmip6-ipv4-support-09.txt
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> This draft is a work item of the Network-based Localized 
> Mobility Management Working Group of the IETF.
> 
> 
> 	Title           : IPv4 Support for Proxy Mobile IPv6
> 	Author(s)       : R. Wakikawa, S. Gundavelli
> 	Filename        : draft-ietf-netlmm-pmip6-ipv4-support-09.txt
> 	Pages           : 48
> 	Date            : 2009-01-20
> 
> This document specifies extensions to Proxy Mobile IPv6 protocol for
> adding IPv4 protocol support.  The scope of IPv4 protocol support is
> two-fold: 1) enable IPv4 home address mobility support to the mobile
> node. 2) allowing the mobility entities in the Proxy Mobile IPv6
> domain to exchange signaling messages over an IPv4 transport network.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-netlmm-pmip6-ip
> v4-support-09.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>